/**
 * @typedef {object} MicroAppCachedRouter
 * @property {any[]} apps
 */

/**
 * @typedef {object} MicroAppCached
 * @property {MicroAppCachedRouter} $router
 * @property {import('vue').VNode} _vnode
 */

/**
 * @typedef {Map<string, MicroAppCached>} MicroAppCacheMap
 */

/**
 * @typedef {object} CacheEntry
 * @property {import('vue').Component} componentInstance
 * @property {string} tag
 */

/**
 * @typedef {Map<string, CacheEntry>} CacheEntryMap
 */
"use strict";