"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.renderIntercepor = renderIntercepor;
var _strategy = require("./strategy");
/// <reference path="./types.js" />

/**
 * @param {import('vue').Component} vm
 * @param {string} key
 * @returns {boolean}
 */
function renderIntercepor(vm, key) {
  return key && !(0, _strategy.hitBlacklist)(vm, key);
}